http
PUT https://services.leadconnectorhq.com/knowledge-bases/faqs/{id}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
id | string | Yes | 710KoEzy793Fxubft0bc | faq ID as string |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
question | string | Yes | What is the capital of France? | faq question as a string |
answer | string | Yes | The capital of France is Paris. | faq answer as a string |
Responses
200 - FAQ updated successfully
success(boolean, required): Success status of the update operation Example:True
json
{
"success": true
}400 - Bad Request
statusCode(number): Example:400message(string): Example:Bad Request
json
{
"statusCode": 400,
"message": "Bad Request"
}422 - Unprocessable Entity
statusCode(number): Example:422message(string[])error(string): Example:Unprocessable Entity
json
{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}500 - Internal Server Error
statusCode(number): Example:500message(string): Example:Internal Server Error
json
{
"statusCode": 500,
"message": "Internal Server Error"
}Example
curl -X PUT 'https://services.leadconnectorhq.com/knowledge-bases/faqs/YOUR_id' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"question": "What is the capital of France?",
"answer": "The capital of France is Paris."
}'const response = await fetch('https://services.leadconnectorhq.com/knowledge-bases/faqs/YOUR_id', {
method: 'PUT',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"question": "What is the capital of France?", "answer": "The capital of France is Paris."}),
});
const data = await response.json();import os, requests
response = requests.request(
'PUT',
'https://services.leadconnectorhq.com/knowledge-bases/faqs/YOUR_id',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"question": "What is the capital of France?", "answer": "The capital of France is Paris."},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/knowledge-bases/faqs/YOUR_id');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'question': 'What is the capital of France?', 'answer': 'The capital of France is Paris.'}),
]);
$data = json_decode(curl_exec($ch), true);